<?php 
defined('BASEPATH') OR exit('No direct script access allowed');
header('Access-Control-Allow-Origin: *');

require "assets\dist\PHPMailer\PHPMailerAutoload.php";

class Tipos extends CI_Controller
{
    public function __construct()
    {
        parent::__construct();
    
        //cargar la base de datos
        $this->load->database();
        //parser de json y xml
        $this->load->library("parser");

        //$this->load->model('Sesion_Model');
        $this->load->library('form_validation');
        //$this->load->library("Form_validation");
        $this->load->helper("url");
        $this->load->helper('form');
        $this->load->helper('text');
        
        //Cargando los modelos para gestion de la data sistema pena
        $this->load->model('Tipos_Model');
        
    }

//=======================================================================================================

    //Buscar Paises
    public function searchPaises($offset = 0)
    {
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        }

		//Cargar Modelos
        $this->load->model('Tipos_Model');

        //capturar los datos de busqueda
       
		//Configurando el array para consulta de Paises
		$datops = array('null', 'null');
		$query = $this->Tipos_Model->getPaises($datops);
        
		//retornar los valores
        echo json_encode($query);
    }

//=======================================================================================================

	//Buscar Departamentos
    public function searchDepartamentos($idpais)
    {
		
        if ($this->session->userdata('iduser')=='') {
            redirect(base_url().'/admin');
        }

		//Cargar Modelos
        $this->load->model('Tipos_Model');

        //capturar los datos de busqueda
       
		//Configurando el array para consulta de Paises
		// $datodt = array('2','null', $idpais);
		$datodt = array('3','null', $idpais);
		$query = $this->Tipos_Model->getDepartamentos($datodt);
       
		//retornar los valores
        echo json_encode($query);
    }

//=======================================================================================================

	//Buscar Ciudades
	public function searchCiudades($iddpto)
	{
		if ($this->session->userdata('iduser')=='') {
			redirect(base_url().'/admin');
		}

		//Cargar Modelos
		$this->load->model('Tipos_Model');

		//capturar los datos de busqueda
	
		//Configurando el array para consulta de Paises
		$datocd = array('2', 'null',$iddpto,'null');
		$query = $this->Tipos_Model->getCiudades($datocd);
		
		//retornar los valores
		echo json_encode($query);
	}

//=======================================================================================================

	//Buscar Tipo Ocupacion
	public function searchTipoOcupacion($iddpto)
	{
		if ($this->session->userdata('iduser')=='') {
			redirect(base_url().'/admin');
		}

		//Cargar Modelos
		$this->load->model('TipoOcupacion_Model');

		//capturar los datos de busqueda
		$Opcion   = $this->input->post('Opcion')==''?'null':$this->input->post('Opcion');
		$Reservas = $this->input->post('ReservaId')==''?'null':$this->input->post('ReservaId');
		$FechaIni = $this->input->post('FechaIni')==''?'null':$this->input->post('FechaIni');
		$FechaFin = $this->input->post('FechaFin')==''?'null':$this->input->post('FechaFin');

		//Configurando el array para consulta de Paises
		$datocd = array($Opcion, 'null',$iddpto,'null');
		$query = $this->TipoOcupacion_Model->getCiudades($datocd);
		
		//retornar los valores
		echo json_encode($query);
	}

//=======================================================================================================

	//Buscar Tipo Habitacion
	public function searchTipoHabitacion()
	{
		if ($this->session->userdata('iduser')=='') {
		redirect(base_url().'/admin');
		}

		//Cargar Modelos
		$this->load->model('TipoOcupacion_Model');

		//capturar los datos de busqueda
		$Opcion   = $this->input->post('Opcion')==''?'null':$this->input->post('Opcion');
		$IdTipoHabitacion = $this->input->post('IdTipoHabitacion')==''?'null':$this->input->post('IdTipoHabitacion');

		//Configurando el array para consulta de Paises
		$datot = array($Opcion, $IdTipoHabitacion);
		$query = $this->Tipos_Model->getTipoHabitacion($datot);
	
		//retornar los valores
		echo json_encode($query);
	}
}


